@ECHO OFF

REM  ICHECK Data Reset
REM
REM  Usage:  RESET
REM
REM  This batch file deletes the current ICHECK.DAT file and reloads all
REM  the file sizes and checksums.  Use this batch program to clear any
REM  ICHECK violations resulting from legal file modifications.  Be sure
REM  not to run this batch program as long as there are unresolved file
REM  modifications reported by ICHECK.
REM
REM  This batch file requires DOS Version 4.0 or greater.

ECHO 
ECHO ICHECK Data Reset
ECHO 

ECHO Storing all files. Please stand by.

IF EXIST icheck.dat del icheck.dat
icheck > nul
IF ERRORLEVEL 1 GOTO Error

ECHO All Finished.
GOTO Done

:Error
ECHO Error processing files or reading individual files.
ECHO Run ICHECK.EXE separately to see error message.

:Done
PAUSE
